## ros-lunar-json-transport 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(json_transport)

set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++14;-Wall;-Werror")

find_package(catkin REQUIRED COMPONENTS json_msgs roscpp)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS json_msgs roscpp
)
catkin_python_setup()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY include/nlohmann/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint)
  roslint_cpp()
  roslint_python()

  catkin_install_python(
  PROGRAMS
    test/talker_py
    test/test_listener_py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

  add_executable(talker_cpp test/talker.cpp)
  target_link_libraries(talker_cpp ${catkin_LIBRARIES})

  catkin_add_executable_with_gtest(test_listener_cpp test/test_listener.cpp)
  target_link_libraries(test_listener_cpp ${catkin_LIBRARIES})

  find_package(rostest)
  add_rostest(test/transport.test ARGS talker_node:=talker_py)
  add_rostest(test/transport.test ARGS talker_node:=talker_cpp)

endif()

=== debian/changelog ===
ros-lunar-json-transport (0.0.1-0stretch) stretch; urgency=high

  * Initial development (#1 <https://github.com/locusrobotics/json_transport/issues/1>)
    * Initial implementation
    * Binary transport (#2 <https://github.com/locusrobotics/json_transport/issues/2>)
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 06 Apr 2018 04:00:00 -0000

=== debian/control ===
Source: ros-lunar-json-transport
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-json-msgs, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-json-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-msgpack, ros-lunar-json-msgs, ros-lunar-roscpp
Description: JSON transport for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-json-transport//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
